## org.mortbay.http.ajp
Class AJP13OutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.mortbay.util.ByteBufferOutputStream
                  |
                  +--org.mortbay.http.BufferedOutputStream
                        |
                        +--org.mortbay.http.ajp.AJP13OutputStream

All Implemented Interfaces:
  HttpMessage.HeaderWriter

public class AJP13OutputStream
extends BufferedOutputStream

OutputStream for AJP13 protocol.

Version:
  $Revision: 1.9 $
Author:
  Greg Wilkins (gregw)

Method Summary
`void` `close()`
`void` `destroy()`
`void` `end()`
`void` `flush()` This implementation calls the commitObserver on the first flush since construction or reset.
`void` `resetStream()`
`void` `write(AJP13Packet packet)`
`void` `writeHeader(HttpMessage httpMessage)`
`void` `writeTo(java.io.OutputStream out)`

Methods inherited from class org.mortbay.http.BufferedOutputStream
`getBypassBuffer, getCommitObserver, getOutputStream, isCommitted, setBypassBuffer, setCommitObserver, write, write`

Methods inherited from class org.mortbay.util.ByteBufferOutputStream
`bufferSize, capacity, ensureCapacity, ensureReserve, ensureSize, ensureSize, ensureSpareCapacity, isFixed, postReserve, postwrite, preReserve, prewrite, prewrite, prewrite, reset, setFixed, size, spareCapacity, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeHeader

    public void writeHeader(HttpMessage httpMessage)
                     throws java.io.IOException

  Specified by:
    `writeHeader` in interface `HttpMessage.HeaderWriter`
  Overrides:
    `writeHeader` in class `BufferedOutputStream`
    `java.io.IOException`

### write

    public void write(AJP13Packet packet)
               throws java.io.IOException

    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Description copied from class: `BufferedOutputStream`
  This implementation calls the commitObserver on the first flush since construction or reset.

  Overrides:
    `flush` in class `BufferedOutputStream`
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `BufferedOutputStream`
    `java.io.IOException`

### resetStream

    public void resetStream()

  Overrides:
    `resetStream` in class `BufferedOutputStream`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `BufferedOutputStream`

### end

    public void end()
             throws java.io.IOException

    `java.io.IOException`

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Overrides:
    `writeTo` in class `ByteBufferOutputStream`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.